This is a patch release that fixes a few bugs and does minor improvements.


## Bugs fixed

- Fix getting response body if `Frame` is nil. ([#87](https://github.com/grafana/xk6-browser/pull/87))
- Fix possible race condition accessing logrus level. ([#91](https://github.com/grafana/xk6-browser/pull/91))
- Fix nil pointer panic on `Frame.networkIdleCtx`. ([#109](https://github.com/grafana/xk6-browser/pull/109))
- Fix errors setting extra HTTP headers. ([#116](https://github.com/grafana/xk6-browser/pull/116))
- Fix data race on `Response.body`. ([#124](https://github.com/grafana/xk6-browser/pull/124))
- Fix nil pointer panic accessing `Frame.currentDocument`. ([#127](https://github.com/grafana/xk6-browser/pull/127))


## Improvements

- Skip request handling of `data:` URLs. ([#91](https://github.com/grafana/xk6-browser/pull/91))
- Log URL when fetching response body fails. ([#91](https://github.com/grafana/xk6-browser/pull/91))
- Clean up browser process in case of a test error. ([#110](https://github.com/grafana/xk6-browser/pull/110))


## Internals

- Refactor `Request.url` into `url.URL`. ([#86](https://github.com/grafana/xk6-browser/pull/86))
- Update k6 dependency to [v0.35.0](https://github.com/grafana/k6/releases/tag/v0.35.0). ([#122](https://github.com/grafana/xk6-browser/pull/122))<br>
  This fixes the issue of building the extension with xk6 due to a breaking change of
  JavaScript module interfaces in the latest version of k6.
